LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XUIConfigurationManagerSupplier Interface Reference

allows to retrieve the user interface configuration manager related to an object. More...

`import"XUIConfigurationManagerSupplier.idl";`

Inheritance diagram for XUIConfigurationManagerSupplier:

## Public Member Functions
XUIConfigurationManager | getUIConfigurationManager ()
| returns the user interface configuration manager related to the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to retrieve the user interface configuration manager related to an object.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getUIConfigurationManager()

XUIConfigurationManager getUIConfigurationManager | ( |  | ) |

returns the user interface configuration manager related to the object.

Returns
  an object implementing com::sun::star::ui::UIConfigurationManager service.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfigurationManagerSupplier.idl